<<

# Bugzilla::WebService::Bugzilla

- NAME
- DESCRIPTION
- METHODS

# NAME

Bugzilla::WebService::Bugzilla - Global functions for the webservice interface.

# DESCRIPTION

This provides functions that tell you about Bugzilla in general.

# METHODS

See Bugzilla::WebService for a description of how parameters are passed, and what STABLE, UNSTABLE, and EXPERIMENTAL mean.

`version`

  STABLE

  Description

    Returns the current version of Bugzilla.

  Params (none)
  Returns

    A hash with a single item, `version`, that is the version as a string.

  Errors (none)
`extensions`

  EXPERIMENTAL

  Description

    Gets information about the extensions that are currently installed and enabled in this Bugzilla.

  Params (none)
  Returns

    A hash with a single item, `extesions`. This points to a hash. That hash contains the names of extensions as keys, and information about the extension as values. One of the values that must be returned is the 'version' of the extension

  History
    Added in Bugzilla 3.2.
`timezone`

  STABLE

  Description

    Returns the timezone of the server Bugzilla is running on. This is important because all dates/times that the webservice interface returns will be in this timezone.

  Params (none)
  Returns

    A hash with a single item, `timezone`, that is the timezone offset as a string in (+/-)XXXX (RFC 2822) format.

<<